質問編集履歴

6

タイトル修正

2019/06/19 04:41

投稿

rmrmnrm
rmrmnrm

score139

test CHANGED
@@ -1 +1 @@
1
- 自作サーバー(CentO6)でphpizeが実行できない
1
+ 自作サーバー(CentOS6)でphpizeが実行できない
test CHANGED
File without changes

5

関連パッケージ追記

2019/06/19 04:41

投稿

rmrmnrm
rmrmnrm

score139

test CHANGED
File without changes
test CHANGED
@@ -40,6 +40,72 @@
40
40
 
41
41
 
42
42
 
43
+ ####php関連パッケージ一覧
44
+
45
+ 質問いただきましたので追記します。
46
+
47
+ ```SSH
48
+
49
+ # sudo yum list installed | grep php
50
+
51
+ php.x86_64 5.4.45-8.el6.remi @remi
52
+
53
+ php-bcmath.x86_64 5.4.45-8.el6.remi @remi
54
+
55
+ php-channel-phpseclib.noarch
56
+
57
+ php-cli.x86_64 5.4.45-8.el6.remi @remi
58
+
59
+ php-common.x86_64 5.4.45-8.el6.remi @remi
60
+
61
+ php-gd.x86_64 5.4.45-8.el6.remi @remi
62
+
63
+ php-imap.x86_64 5.4.45-8.el6.remi @remi
64
+
65
+ php-mbstring.x86_64 5.4.45-8.el6.remi @remi
66
+
67
+ php-mcrypt.x86_64 5.4.45-8.el6.remi @remi
68
+
69
+ php-mysql.x86_64 5.4.45-8.el6.remi @remi
70
+
71
+ php-pdo.x86_64 5.4.45-8.el6.remi @remi
72
+
73
+ php-pear.noarch 1:1.9.5-10.el6.remi
74
+
75
+ php-php-gettext.noarch
76
+
77
+ php-phpseclib-crypt-aes.noarch
78
+
79
+ php-phpseclib-crypt-base.noarch
80
+
81
+ php-phpseclib-crypt-random.noarch
82
+
83
+ php-phpseclib-crypt-rijndael.noarch
84
+
85
+ php-process.x86_64 5.4.45-8.el6.remi @remi
86
+
87
+ php-recode.x86_64 5.4.45-8.el6.remi @remi
88
+
89
+ php-tcpdf.noarch 6.2.8-1.el6.remi @remi
90
+
91
+ php-tcpdf-dejavu-sans-fonts.noarch
92
+
93
+ php-tidy.x86_64 5.4.45-8.el6.remi @remi
94
+
95
+ php-xml.x86_64 5.4.45-8.el6.remi @remi
96
+
97
+ phpMyAdmin.noarch 4.0.10.10-1.el6 @epel
98
+
99
+ ```
100
+
101
+
102
+
103
+
104
+
105
+
106
+
107
+
108
+
43
109
  ### 試したこと
44
110
 
45
111
 

4

③php54→php53追記

2019/06/19 04:40

投稿

rmrmnrm
rmrmnrm

score139

test CHANGED
File without changes
test CHANGED
@@ -189,3 +189,57 @@
189
189
  これらを試行できます: rpm -Va --nofiles --nodigest
190
190
 
191
191
  ```
192
+
193
+
194
+
195
+ ####③php54→php53
196
+
197
+
198
+
199
+ ```SSH
200
+
201
+ # yum --enablerepo=remi,remi-php53 install php-devel
202
+
203
+ 読み込んだプラグイン:fastestmirror, priorities, security, versionlock
204
+
205
+ インストール処理の設定をしています
206
+
207
+ Loading mirror speeds from cached hostfile
208
+
209
+ * base: mirror.fairway.ne.jp
210
+
211
+ * extras: mirror.fairway.ne.jp
212
+
213
+ * remi: ftp.riken.jp
214
+
215
+ * updates: mirror.fairway.ne.jp
216
+
217
+ 92 packages excluded due to repository priority protections
218
+
219
+ 依存性の解決をしています
220
+
221
+ --> トランザクションの確認を実行しています。
222
+
223
+ ---> Package php-devel.x86_64 0:5.3.3-49.el6 will be インストール
224
+
225
+ --> 依存性の処理をしています: php(x86-64) = 5.3.3-49.el6 のパッケージ: php-devel-5.3.3-49.el6.x86_64
226
+
227
+ --> 依存性解決を終了しました。
228
+
229
+ エラー: パッケージ: php-devel-5.3.3-49.el6.x86_64 (base)
230
+
231
+ 要求: php(x86-64) = 5.3.3-49.el6
232
+
233
+ インストール: php-5.4.45-8.el6.remi.x86_64 (@remi)
234
+
235
+ php(x86-64) = 5.4.45-8.el6.remi
236
+
237
+ 利用可能: php-5.3.3-49.el6.x86_64 (base)
238
+
239
+ php(x86-64) = 5.3.3-49.el6
240
+
241
+ 問題を回避するために --skip-broken を用いることができません
242
+
243
+ これらを試行できます: rpm -Va --nofiles --nodigest
244
+
245
+ ```

3

②追記

2019/06/19 04:37

投稿

rmrmnrm
rmrmnrm

score139

test CHANGED
File without changes
test CHANGED
@@ -122,4 +122,70 @@
122
122
 
123
123
  ```
124
124
 
125
+
126
+
125
127
  どのようにしたら良いのでしょうか。よろしくお願いします。
128
+
129
+
130
+
131
+ ####②コマンドが間違っていたので改めて実行
132
+
133
+
134
+
135
+ コマンドが機械翻訳で崩れていたようなので、指摘を参考に再度実行
136
+
137
+ 原文:https://stackoverflow.com/questions/12325109/cant-install-php-devel-on-centos
138
+
139
+
140
+
141
+ ```SSH
142
+
143
+ # sudo yum --enablerepo=remi,remi-php54 install php-devel
144
+
145
+ 読み込んだプラグイン:fastestmirror, priorities, security, versionlock
146
+
147
+ インストール処理の設定をしています
148
+
149
+ Loading mirror speeds from cached hostfile
150
+
151
+ * base: mirror.fairway.ne.jp
152
+
153
+ * extras: mirror.fairway.ne.jp
154
+
155
+ * remi: ftp.riken.jp
156
+
157
+ * updates: mirror.fairway.ne.jp
158
+
159
+ remi | 3.0 kB 00:00
160
+
161
+ remi/primary_db | 2.3 MB 00:00
162
+
163
+ 92 packages excluded due to repository priority protections
164
+
165
+ 依存性の解決をしています
166
+
167
+ --> トランザクションの確認を実行しています。
168
+
169
+ ---> Package php-devel.x86_64 0:5.3.3-49.el6 will be インストール
170
+
171
+ --> 依存性の処理をしています: php(x86-64) = 5.3.3-49.el6 のパッケージ: php-devel -5.3.3-49.el6.x86_64
172
+
173
+ --> 依存性解決を終了しました。
174
+
175
+ エラー: パッケージ: php-devel-5.3.3-49.el6.x86_64 (base)
176
+
177
+ 要求: php(x86-64) = 5.3.3-49.el6
178
+
179
+ インストール: php-5.4.45-8.el6.remi.x86_64 (@remi)
180
+
181
+ php(x86-64) = 5.4.45-8.el6.remi
182
+
183
+ 利用可能: php-5.3.3-49.el6.x86_64 (base)
184
+
185
+ php(x86-64) = 5.3.3-49.el6
186
+
187
+ 問題を回避するために --skip-broken を用いることができません
188
+
189
+ これらを試行できます: rpm -Va --nofiles --nodigest
190
+
191
+ ```

2

引用修正

2019/06/19 03:49

投稿

rmrmnrm
rmrmnrm

score139

test CHANGED
File without changes
test CHANGED
@@ -106,6 +106,8 @@
106
106
 
107
107
  > yum install php-develを実行するのではなく、yum –enablerepo = remi、remi-php54 install php-develを実行する必要がありました。
108
108
 
109
+
110
+
109
111
  とあったので試してみましたがよくわかりませんでした。
110
112
 
111
113
  ```SSH

1

追記

2019/06/19 03:01

投稿

rmrmnrm
rmrmnrm

score139

test CHANGED
File without changes
test CHANGED
@@ -35,6 +35,8 @@
35
35
 
36
36
 
37
37
  ```
38
+
39
+ ちなみに/usr/include/内にphpのディレクトリがありませんでした。
38
40
 
39
41
 
40
42